Universal Robots Forum

Program stops when trying to communicate with Daemon

Hello! It looks like my URCap broke URSim a little, but I can’t figure out what the problem is. Nothing happens when you try to start the program. Maybe someone has encountered something like this?

13:38:13.530 ERROR - Failed to load installation: /home/ur/ursim/ursim-5.8.0.10253/programs/default.installation {thread: Thread-3 , loggerClass: gui.installation.services.RobotInstallationLookupServiceImpl}
13:38:13.532 ERROR - Failed to load installation, creating ‘default.installation’ {thread: Thread-3 , loggerClass: gui.installation.services.SingleRobotInstallationSite}
13:38:13.611 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:13.622 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:13.625 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:13.634 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:13.681 WARN - Method used before correct value has been received from controller, returning default = joint_max_speed {thread: Thread-3 , loggerClass: com.ur.polyscope.robot.configuration.joint.JointConfigurationSettings}
13:38:13.681 WARN - Ignoring any future reports of error {thread: Thread-3 , loggerClass: com.ur.polyscope.robot.configuration.joint.JointConfigurationSettings}
13:38:13.766 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:13.834 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
Jul 04, 2021 1:38:14 PM com.steadystate.css.parser.CSSOMParser
WARNING: java.lang.ClassNotFoundException: com.steadystate.css.parser.SACParserCSS21 not found by org.w3c.css.sac [160]
Jul 04, 2021 1:38:14 PM com.steadystate.css.parser.CSSOMParser
WARNING: using the default ‘SACParserCSS21’ instead
Upgrading Conveyor Tracking as G5 due to IO changes
13:38:15.959 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:15.960 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:16.050 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:16.071 WARN - Not connected to controller, trying to send string:
sec load_installation():
set_tool_communication(False, 115200, 0, 1, 1.5, 3.5)
set_tool_output_mode(0)
set_tool_digital_output_mode(0, 1)
set_tool_digital_output_mode(1, 1)
set_tool_voltage(0)
step_count_72cae218_eb7f_4d66_a257_0681edf36326 = 0
thread Step_Counter_Thread_a840695d_3c9a_4251_b54c_51dac337e22a():
while (True):
step_count_72cae218_eb7f_4d66_a257_0681edf36326 = step_count_72cae218_eb7f_4d66_a257_0681edf36326 + 1
sync()
end
end
run Step_Counter_Thread_a840695d_3c9a_4251_b54c_51dac337e22a()
set_safety_mode_transition_hardness(1)
set_tcp(p[0.0,0.0,0.0,0.0,0.0,0.0])
set_payload(0.0)
set_gravity([0.0, 0.0, 9.82])
set_standard_analog_input_domain(0, 1)
set_standard_analog_input_domain(1, 1)
set_tool_analog_input_domain(0, 1)
set_tool_analog_input_domain(1, 1)
set_analog_outputdomain(0, 0)
set_analog_outputdomain(1, 0)
set_input_actions_to_default()
end
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:16.171 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:16.180 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:16.191 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:16.204 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:16.208 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:16.408 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:16.422 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:16.481 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:16.621 WARN - Not connected to controller, trying to send string:
sec load_installation():
set_tool_communication(False, 115200, 0, 1, 1.5, 3.5)
set_tool_output_mode(0)
set_tool_digital_output_mode(0, 1)
set_tool_digital_output_mode(1, 1)
set_tool_voltage(0)
step_count_72cae218_eb7f_4d66_a257_0681edf36326 = 0
thread Step_Counter_Thread_a840695d_3c9a_4251_b54c_51dac337e22a():
while (True):
step_count_72cae218_eb7f_4d66_a257_0681edf36326 = step_count_72cae218_eb7f_4d66_a257_0681edf36326 + 1
sync()
end
end
run Step_Counter_Thread_a840695d_3c9a_4251_b54c_51dac337e22a()
set_safety_mode_transition_hardness(1)
set_tcp(p[0.0,0.0,0.0,0.0,0.0,0.0])
set_payload(0.0)
set_gravity([0.0, 0.0, 9.82])
set_standard_analog_input_domain(0, 1)
set_standard_analog_input_domain(1, 1)
set_tool_analog_input_domain(0, 1)
set_tool_analog_input_domain(1, 1)
set_analog_outputdomain(0, 0)
set_analog_outputdomain(1, 0)
set_input_actions_to_default()
end
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:23.807 WARN - No parent window for message: Value cannot be greater than given maximum value. (component: minPosBaseNormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
13:38:23.814 WARN - No parent window for message: Value cannot be greater than given maximum value. (component: minPosShoulderNormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
13:38:23.814 WARN - No parent window for message: Value cannot be greater than given maximum value. (component: minPosElbowNormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
13:38:23.817 WARN - No parent window for message: Value cannot be greater than given maximum value. (component: minPosWrist1NormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
13:38:23.818 WARN - No parent window for message: Value cannot be greater than given maximum value. (component: minPosWrist2NormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
13:38:23.819 WARN - No parent window for message: Value cannot be greater than given maximum value. (component: minPosWrist3NormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
13:38:24.048 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:24.049 WARN - Not connected to controller, trying to send string:
stop program
{thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
13:38:29.362 ERROR - RobotState messages are queued up: 3 {thread: RobotState - PostMan , loggerClass: com.ur.monitor.RobotState$PostMan}

Is this still happening even after you uninstall the URCap?

no if delete urcap everything works fine

Quite hard to know what’s going on without any info on what your URCap is doing. It seems that it’s preventing URControl from starting. What sort of communications with the controller do you have going on? Are you sending messages to dashboard or client interfaces?

this is urcap which allows the robot to do oscillations, and it works. Then I decided to try adding a daemon to python, following the example mydaemoswing. as far as I can tell, the daemon starts up and works fine, I tried to remove the daemon start command, but it didn’t solve the problem. Essentially in instalationContributionNode the robot tries to connect via xml to the demon, maybe this is the problem

How much does the command line output differ when you run polyscope without the URCap installed? I don’t see this “stop program" messages in my output, but I am running a later version so might not be identical anyway.

I can check it out later today

Launched URSim without URCap (everything works well)

Checking Robot Root Certificate
~/ursim/ursim-5.8.0.10253/GUI ~/ursim/ursim-5.8.0.10253 ~/ursim/ursim-5.8.0.10253
      - aopalliance-1.0.jar
      - aspectjrt-1.8.2.jar
      - awtextra-1.0.jar
      - balloontip-1.2.4.jar
      - bcpkix-jdk15on-1.59.jar
      - bcprov-jdk15on-1.59.jar
      - boot-g5-74.4.1104.jar
      - calibration-10.8.391.jar
      - cglib-nodep-2.2.jar
      - commons-beanutils-1.8.3.jar
      - commons-codec-1.9.jar
      - commons-collections-3.2.1.jar
      - commons-httpclient-3.1.0.0.jar
      - commons-io-2.4.jar
      - commons-lang-2.6.jar
      - commons-lang3-3.3.2.jar
      - commons-logging-1.2.jar
      - commons-math3-3.3.jar
      - constants-16.2.1.jar
      - conveyortracking-1.3.19.jar
      - cssparser-0.9.14.jar
      - defaultprogram-10.8.391.jar
      - driver-g5-10.8.391.jar
      - ethernetip-1.1.14.jar
      - filters-2.0.235.jar
      - freehep-java3d-2.1.jar
      - g5-10.8.391.jar
      - geom-feature-urcap-api-export-1.8.20.jar
      - gripper-urcap-api-export-1.2.183.jar
      - groovy-2.4.12.jar
      - gson-2.8.5.jar
      - guava-19.0.jar
      - guice-4.1.0.jar
      - guice-multibindings-4.1.0.jar
      - help-g5-UR10e-3.8.59.jar
      - help-g5-UR16e-3.8.59.jar
      - help-g5-UR3e-3.8.59.jar
      - help-g5-UR5e-3.8.59.jar
      - immi-10.8.391.jar
      - initializerobot-10.8.391.jar
      - installation-10.8.391.jar
      - internaltcp-10.8.391.jar
      - io-10.8.391.jar
      - j3d-core-1.5.2-modified.jar
      - j3d-core-utils-1.5.2-modified.jar
      - jackson-annotations-2.7.0.jar
      - jackson-core-2.7.9.jar
      - jackson-databind-2.7.9.6.jar
      - javahelp-2.0.05.jar
      - javax.inject-1.jar
      - jemmy-3.2.1.jar
      - jgoodies-common-1.7.0.jar
      - jgoodies-forms-1.7.2.jar
      - jsoup-1.7.3.jar
      - jsr305-3.0.1.jar
      - log4j-api-2.3.jar
      - move-10.8.391.jar
      - org.apache.felix.bundlerepository-1.6.0.jar
      - org.apache.felix.shell-1.4.3.jar
      - org.apache.felix.shell.remote-1.1.2.jar
      - org.osgi.core-6.0.0.jar
      - pallet-impl-10.8.391.jar
      - pin-10.8.391.jar
      - platform-api-4.7.5.jar
      - polyscope-application-api-1.11.82.jar
      - polyscope-concept-operations-api-7.4.11.jar
      - polyscope-concept-operations-driver-7.4.11.jar
      - polyscope-concept-operations-impl-7.4.11.jar
      - polyscope-controllerinterface-api-4.5.26.jar
      - polyscope-controllerinterface-impl-4.5.26.jar
      - polyscope-dashboard-server-api-1.10.8.jar
      - polyscope-dashboard-server-impl-1.10.8.jar
      - polyscope-driver-api-3.11.5.jar
      - polyscope-file-manager-api-5.4.16.jar
      - polyscope-file-manager-driver-5.4.16.jar
      - polyscope-file-manager-impl-5.4.16.jar
      - polyscope-flight-recorder-api-5.3.28.jar
      - polyscope-flight-recorder-impl-5.3.28.jar
      - polyscope-freedrive-api-1.1.66.jar
      - polyscope-freedrive-driver-1.1.66.jar
      - polyscope-freedrive-impl-1.1.66.jar
      - polyscope-geom-feature-api-1.8.20.jar
      - polyscope-geom-feature-driver-1.8.20.jar
      - polyscope-geom-feature-impl-1.8.20.jar
      - polyscope-gripper-driver-1.2.183.jar
      - polyscope-gripper-impl-1.2.183.jar
      - polyscope-initializerobot-api-4.4.12.jar
      - polyscope-initializerobot-driver-4.4.12.jar
      - polyscope-initializerobot-impl-4.4.12.jar
      - polyscope-installation-api-6.4.20.jar
      - polyscope-installation-driver-6.4.20.jar
      - polyscope-installation-impl-6.4.20.jar
      - polyscope-installation-urcap-api-6.4.20.jar
      - polyscope-io-api-4.4.34.jar
      - polyscope-io-driver-4.4.34.jar
      - polyscope-io-impl-4.4.34.jar
      - polyscope-java-logger-api-1.9.13.jar
      - polyscope-java-logger-impl-1.9.13.jar
      - polyscope-java-logger-log4jcore-1.9.13.jar
      - polyscope-lang-3.4.14.jar
      - polyscope-license-api-2.4.21.jar
      - polyscope-license-driver-2.4.21.jar
      - polyscope-license-impl-2.4.21.jar
      - polyscope-logging-api-7.3.51.jar
      - polyscope-logging-driver-7.3.51.jar
      - polyscope-logging-impl-7.3.51.jar
      - polyscope-monitor-5.3.23.jar
      - polyscope-move-api-1.6.11.jar
      - polyscope-move-driver-1.6.11.jar
      - polyscope-move-impl-1.6.11.jar
      - polyscope-persistence-api-1.7.15.jar
      - polyscope-persistence-impl-1.7.15.jar
      - polyscope-program-api-5.3.52.jar
      - polyscope-program-driver-5.3.52.jar
      - polyscope-program-impl-5.3.52.jar
      - polyscope-program-metrics-impl-3.4.12.jar
      - polyscope-robot-configuration-api-5.4.25.jar
      - polyscope-robot-configuration-impl-5.4.25.jar
      - polyscope-robot-prototypes-impl-3.3.8.jar
      - polyscope-safety-api-1.1.12.jar
      - polyscope-safety-driver-1.1.12.jar
      - polyscope-safety-impl-1.1.12.jar
      - polyscope-screenshot-builder-api-2.5.2.jar
      - polyscope-screwdriving-driver-3.2.21.jar
      - polyscope-screwdriving-impl-3.2.21.jar
      - polyscope-scriptwriter-3.1.6.jar
      - polyscope-security-api-7.4.19.jar
      - polyscope-security-driver-7.4.19.jar
      - polyscope-security-impl-7.4.19.jar
      - polyscope-settings-api-4.11.8.jar
      - polyscope-settings-impl-4.11.8.jar
      - polyscope-simulation-api-5.4.12.jar
      - polyscope-simulation-impl-5.4.12.jar
      - polyscope-swing-5.22.34.jar
      - polyscope-system-api-6.3.16.jar
      - polyscope-system-diagnostics-impl-6.3.16.jar
      - polyscope-system-driver-6.3.16.jar
      - polyscope-system-impl-6.3.16.jar
      - polyscope-tcp-api-1.5.46.jar
      - polyscope-tcp-driver-1.5.46.jar
      - polyscope-tcp-impl-1.5.46.jar
      - polyscope-tcp-urcap-api-1.5.46.jar
      - polyscope-toolbar-api-7.3.8.jar
      - polyscope-toolbar-impl-7.3.8.jar
      - polyscope-urcap-api-13.4.63.jar
      - polyscope-urcap-driver-13.4.63.jar
      - polyscope-urcap-impl-13.4.63.jar
      - polyscope-urcap-urcap-api-13.4.63.jar
      - polyscope-value-objects-api-1.11.82.jar
      - polyscope-value-objects-impl-1.11.82.jar
      - polyscope-value-objects-urcap-api-1.11.82.jar
      - polyscope-version-api-1.13.8.jar
      - polyscope-version-impl-1.13.8.jar
      - profinet-1.1.11.jar
      - program-10.8.391.jar
      - reactive-streams-1.0.0.jar
      - remotecontrol-10.8.391.jar
      - remotetcp-1.2.65-build36.jar
      - rxjava-2.1.0.jar
      - sac-1.3.jar
      - safety-10.8.391.jar
      - screwdriving-urcap-api-export-3.2.21.jar
      - swing-layout-1.0.3.jar
      - swing-worker-1.1.jar
      - swingx-1.6.1.jar
      - urcap-10.8.391.jar
      - urcap-api-export-7.3.8.jar
      - urcap-api-export-robotmovement-13.4.63.jar
Installing bundles for: bundle/urcaps
      - urscript2pojo-1.3.3.jar
      - validation-api-1.1.0.Final.jar
      - vecmath-1.5.2-modified.jar
      - view-10.8.391.jar
      - viewfacade-10.8.391.jar
      - visualizer-10.8.391.jar
      - ws-commons-util-1.0.2.0.jar
      - xmlrpc-client-3.1.3.0.jar
      - xmlrpc-common-3.1.3.0.jar
      - xpp3_min-1.1.4c.jar
      - xstream-1.3.1.jar
Validating bundle: com.ur.polyscope.platform-api [1]
Validating bundle: com.ur.polyscope.calibration [12]
Validating bundle: com.ur.polyscope.constants [23]
Validating bundle: com.ur.urcap.conveyortracking [24]
Validating bundle: com.ur.polyscope.defaultprogram [26]
Validating bundle: com.ur.polyscope.driver-g5 [27]
Validating bundle: com.ur.urcap.ethernetip [28]
Validating bundle: com.ur.polyscope.g5 [31]
Validating bundle: com.ur.polyscope.geomfeature.urcap.geom-feature-urcap-api-export [32]
Validating bundle: com.ur.polyscope.gripper.urcap.gripper-urcap-api-export [33]
Validating bundle: com.ur.polyscope.help-g5-UR10e [39]
Validating bundle: com.ur.polyscope.help-g5-UR16e [40]
Validating bundle: com.ur.polyscope.help-g5-UR3e [41]
Validating bundle: com.ur.polyscope.help-g5-UR5e [42]
Validating bundle: com.ur.polyscope.immi [43]
Validating bundle: com.ur.polyscope.initializerobot [44]
Validating bundle: com.ur.polyscope.installation [45]
Validating bundle: com.ur.polyscope.internaltcp [46]
Validating bundle: com.ur.polyscope.io [47]
Validating bundle: com.ur.polyscope.move [61]
Validating bundle: com.ur.pallet-impl [63]
Validating bundle: com.ur.polyscope.pin [64]
Validating bundle: com.ur.polyscope.application.polyscope-application-api [65]
Validating bundle: com.ur.polyscope.concept.operations.polyscope-concept-operations-api [66]
Validating bundle: com.ur.polyscope.concept.operations.polyscope-concept-operations-driver [67]
Validating bundle: com.ur.polyscope.concept.operations.polyscope-concept-operations-impl [68]
Validating bundle: com.ur.polyscope.controllerinterface.polyscope-controllerinterface-api [69]
Validating bundle: com.ur.polyscope.controllerinterface.polyscope-controllerinterface-impl [70]
Validating bundle: com.ur.polyscope.dashboardserver.polyscope-dashboard-server-api [71]
Validating bundle: com.ur.polyscope.dashboardserver.polyscope-dashboard-server-impl [72]
Validating bundle: com.ur.polyscope.driver-api [73]
Validating bundle: com.ur.polyscope.file-manager.polyscope-file-manager-api [74]
Validating bundle: com.ur.polyscope.file-manager.polyscope-file-manager-driver [75]
Validating bundle: com.ur.polyscope.file-manager.polyscope-file-manager-impl [76]
Validating bundle: com.ur.polyscope.flightrecorder.polyscope-flight-recorder-api [77]
Validating bundle: com.ur.polyscope.flightrecorder.polyscope-flight-recorder-impl [78]
Validating bundle: com.ur.polyscope.freedrive.polyscope-freedrive-api [79]
Validating bundle: com.ur.polyscope.freedrive.polyscope-freedrive-driver [80]
Validating bundle: com.ur.polyscope.freedrive.polyscope-freedrive-impl [81]
Validating bundle: com.ur.polyscope.geomfeature.polyscope-geom-feature-api [82]
Validating bundle: com.ur.polyscope.geomfeature.polyscope-geom-feature-driver [83]
Validating bundle: com.ur.polyscope.geomfeature.polyscope-geom-feature-impl [84]
Validating bundle: com.ur.polyscope.gripper.polyscope-gripper-driver [85]
Validating bundle: com.ur.polyscope.gripper.polyscope-gripper-impl [86]
Validating bundle: com.ur.polyscope.initializerobot.polyscope-initializerobot-api [87]
Validating bundle: com.ur.polyscope.initializerobot.polyscope-initializerobot-driver [88]
Validating bundle: com.ur.polyscope.initializerobot.polyscope-initializerobot-impl [89]
Validating bundle: com.ur.polyscope.installation.polyscope-installation-api [90]
Validating bundle: com.ur.polyscope.installation.polyscope-installation-driver [91]
Validating bundle: com.ur.polyscope.installation.polyscope-installation-impl [92]
Validating bundle: com.ur.polyscope.installation.polyscope-installation-urcap-api [93]
Validating bundle: com.ur.polyscope.io.polyscope-io-api [94]
Validating bundle: com.ur.polyscope.io.polyscope-io-driver [95]
Validating bundle: com.ur.polyscope.io.polyscope-io-impl [96]
Validating bundle: com.ur.polyscope.java.logger.polyscope-java-logger-api [97]
Validating bundle: com.ur.polyscope.java.logger.polyscope-java-logger-impl [98]
Validating bundle: com.ur.polyscope.java.logger.polyscope-java-logger-log4jcore [99]
Validating bundle: com.ur.polyscope.lang [100]
Validating bundle: com.ur.polyscope.license.polyscope-license-api [101]
Validating bundle: com.ur.polyscope.license.polyscope-license-driver [102]
Validating bundle: com.ur.polyscope.license.polyscope-license-impl [103]
Validating bundle: com.ur.polyscope.logging.polyscope-logging-api [104]
Validating bundle: com.ur.polyscope.logging.polyscope-logging-driver [105]
Validating bundle: com.ur.polyscope.logging.polyscope-logging-impl [106]
Validating bundle: com.ur.polyscope.monitor [107]
Validating bundle: com.ur.polyscope.move.polyscope-move-api [108]
Validating bundle: com.ur.polyscope.move.polyscope-move-driver [109]
Validating bundle: com.ur.polyscope.move.polyscope-move-impl [110]
Validating bundle: com.ur.polyscope.persistence.polyscope-persistence-api [111]
Validating bundle: com.ur.polyscope.persistence.polyscope-persistence-impl [112]
Validating bundle: com.ur.polyscope.program.polyscope-program-api [113]
Validating bundle: com.ur.polyscope.program.polyscope-program-driver [114]
Validating bundle: com.ur.polyscope.program.polyscope-program-impl [115]
Validating bundle: com.ur.polyscope.program.metrics.polyscope-program-metrics-impl [116]
Validating bundle: com.ur.polyscope.robot.configuration.polyscope-robot-configuration-api [117]
Validating bundle: com.ur.polyscope.robot.configuration.polyscope-robot-configuration-impl [118]
Validating bundle: com.ur.polyscope.robot.prototypes.polyscope-robot-prototypes-impl [119]
Validating bundle: com.ur.polyscope.safety.polyscope-safety-api [120]
Validating bundle: com.ur.polyscope.safety.polyscope-safety-driver [121]
Validating bundle: com.ur.polyscope.safety.polyscope-safety-impl [122]
Validating bundle: com.ur.polyscope.screenshot.polyscope-screenshot-builder-api [123]
Validating bundle: com.ur.polyscope.screwdriving.polyscope-screwdriving-driver [124]
Validating bundle: com.ur.polyscope.screwdriving.polyscope-screwdriving-impl [125]
Validating bundle: com.ur.polyscope.scriptwriter.polyscope-scriptwriter [126]
Validating bundle: com.ur.polyscope.security.polyscope-security-api [127]
Validating bundle: com.ur.polyscope.security.polyscope-security-driver [128]
Validating bundle: com.ur.polyscope.security.polyscope-security-impl [129]
Validating bundle: com.ur.polyscope.settings.polyscope-settings-api [130]
Validating bundle: com.ur.polyscope.settings.polyscope-settings-impl [131]
Validating bundle: com.ur.polyscope.simulation.polyscope-simulation-api [132]
Validating bundle: com.ur.polyscope.simulation.polyscope-simulation-impl [133]
Validating bundle: com.ur.polyscope.swing [134]
Validating bundle: com.ur.polyscope.system.polyscope-system-api [135]
Validating bundle: com.ur.polyscope.system.polyscope-system-diagnostics-impl [136]
Validating bundle: com.ur.polyscope.system.polyscope-system-driver [137]
Validating bundle: com.ur.polyscope.system.polyscope-system-impl [138]
Validating bundle: com.ur.polyscope.tcp.polyscope-tcp-api [139]
Validating bundle: com.ur.polyscope.tcp.polyscope-tcp-driver [140]
Validating bundle: com.ur.polyscope.tcp.polyscope-tcp-impl [141]
Validating bundle: com.ur.polyscope.tcp.polyscope-tcp-urcap-api [142]
Validating bundle: com.ur.polyscope.toolbar.polyscope-toolbar-api [143]
Validating bundle: com.ur.polyscope.toolbar.polyscope-toolbar-impl [144]
Validating bundle: com.ur.polyscope.urcaps.polyscope-urcap-api [145]
Validating bundle: com.ur.polyscope.urcaps.polyscope-urcap-driver [146]
Validating bundle: com.ur.polyscope.urcaps.polyscope-urcap-impl [147]
Validating bundle: com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148]
Split package detected!
  com.ur.urcap.api.contribution.driver.general.tcp; version=1.8.0
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
  com.ur.polyscope.tcp.polyscope-tcp-urcap-api [142] com.ur.polyscope.tcp.polyscope-tcp-urcap-api
Split package detected!
  com.ur.urcap.api.domain.feature; version=1.9.0
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
  com.ur.polyscope.geomfeature.urcap.geom-feature-urcap-api-export [32] com.ur.polyscope.geomfeature.urcap.geom-feature-urcap-api-export
Split package detected!
  com.ur.urcap.api.domain.tcp; version=1.7.4
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
  com.ur.polyscope.tcp.polyscope-tcp-urcap-api [142] com.ur.polyscope.tcp.polyscope-tcp-urcap-api
Split package detected!
  com.ur.urcap.api.domain.util; version=1.7.4
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
  com.ur.polyscope.geomfeature.urcap.geom-feature-urcap-api-export [32] com.ur.polyscope.geomfeature.urcap.geom-feature-urcap-api-export
Validating bundle: com.ur.polyscope.valueobjects.polyscope-value-objects-api [149]
Validating bundle: com.ur.polyscope.valueobjects.polyscope-value-objects-impl [150]
Validating bundle: com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api [151]
Split package detected!
  com.ur.urcap.api.domain.validation; version=1.7.0
  com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api [151] com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
Split package detected!
  com.ur.urcap.api.domain.value; version=1.7.0
  com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api [151] com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
Split package detected!
  com.ur.urcap.api.domain.value.blend; version=1.7.0
  com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api [151] com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
Split package detected!
  com.ur.urcap.api.domain.value.jointposition; version=1.7.0
  com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api [151] com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
Split package detected!
  com.ur.urcap.api.domain.value.simple; version=1.8.0
  com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api [151] com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
Validating bundle: com.ur.polyscope.version.polyscope-version-api [152]
Validating bundle: com.ur.polyscope.version.polyscope-version-impl [153]
Validating bundle: com.ur.urcap.profinet [154]
Validating bundle: com.ur.polyscope.program [155]
Validating bundle: com.ur.polyscope.safety.remotecontrol [157]
Validating bundle: com.ur.polyscope.safety [161]
Validating bundle: com.ur.polyscope.screwdriving.urcap.screwdriving-urcap-api-export [162]
Validating bundle: com.ur.polyscope.urcap [166]
Validating bundle: com.ur.polyscope.toolbar.urcap.api-export [167]
Validating bundle: com.ur.polyscope.urcaps.urcap-api-export-robotmovement [168]
Split package detected!
  com.ur.urcap.api.domain.userinteraction.robot.movement; version=1.7.4
  com.ur.polyscope.urcaps.urcap-api-export-robotmovement [168] com.ur.polyscope.urcaps.urcap-api-export-robotmovement
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
Validating bundle: com.ur.urscript2pojo [169]
Validating bundle: com.ur.polyscope.view [172]
Split package detected!
  com.ur.resources; version=10.8.391
  com.ur.polyscope.view [172] com.ur.polyscope.view
  com.ur.polyscope.file-manager.polyscope-file-manager-impl [76] com.ur.polyscope.file-manager.polyscope-file-manager-impl
Split package detected!
  com.ur.i18n; version=10.8.391
  com.ur.polyscope.view [172] com.ur.polyscope.view
  com.ur.polyscope.file-manager.polyscope-file-manager-impl [76] com.ur.polyscope.file-manager.polyscope-file-manager-impl
Split package detected!
  gui.controllerinterface; version=10.8.391
  com.ur.polyscope.view [172] com.ur.polyscope.view
  com.ur.polyscope.view [172] com.ur.polyscope.view
Validating bundle: com.ur.polyscope.viewfacade [173]
Validating bundle: com.ur.polyscope.visualizer [174]
Starting bundle: com.ur.polyscope.platform-api [1]
Starting bundle: com.ur.polyscope.calibration [12]
Starting bundle: com.ur.polyscope.constants [23]
Starting bundle: com.ur.urcap.conveyortracking [24]
Starting bundle: com.ur.polyscope.defaultprogram [26]
Starting bundle: com.ur.polyscope.driver-g5 [27]
Starting bundle: com.ur.urcap.ethernetip [28]
Starting bundle: com.ur.polyscope.g5 [31]
Starting bundle: com.ur.polyscope.geomfeature.urcap.geom-feature-urcap-api-export [32]
Starting bundle: com.ur.polyscope.gripper.urcap.gripper-urcap-api-export [33]
Starting bundle: com.ur.polyscope.help-g5-UR10e [39]
Starting bundle: com.ur.polyscope.help-g5-UR16e [40]
Starting bundle: com.ur.polyscope.help-g5-UR3e [41]
Starting bundle: com.ur.polyscope.help-g5-UR5e [42]
Starting bundle: com.ur.polyscope.immi [43]
Starting bundle: com.ur.polyscope.initializerobot [44]
Starting bundle: com.ur.polyscope.installation [45]
Starting bundle: com.ur.polyscope.internaltcp [46]
Starting bundle: com.ur.polyscope.io [47]
Starting bundle: com.ur.polyscope.move [61]
Starting bundle: com.ur.pallet-impl [63]
Starting bundle: com.ur.polyscope.pin [64]
Starting bundle: com.ur.polyscope.application.polyscope-application-api [65]
Starting bundle: com.ur.polyscope.concept.operations.polyscope-concept-operations-api [66]
Starting bundle: com.ur.polyscope.concept.operations.polyscope-concept-operations-driver [67]
Starting bundle: com.ur.polyscope.concept.operations.polyscope-concept-operations-impl [68]
Starting bundle: com.ur.polyscope.controllerinterface.polyscope-controllerinterface-api [69]
Starting bundle: com.ur.polyscope.controllerinterface.polyscope-controllerinterface-impl [70]
Starting bundle: com.ur.polyscope.dashboardserver.polyscope-dashboard-server-api [71]
Starting bundle: com.ur.polyscope.dashboardserver.polyscope-dashboard-server-impl [72]
Starting bundle: com.ur.polyscope.driver-api [73]
Starting bundle: com.ur.polyscope.file-manager.polyscope-file-manager-api [74]
Starting bundle: com.ur.polyscope.file-manager.polyscope-file-manager-driver [75]
Starting bundle: com.ur.polyscope.file-manager.polyscope-file-manager-impl [76]
Starting bundle: com.ur.polyscope.flightrecorder.polyscope-flight-recorder-api [77]
Starting bundle: com.ur.polyscope.flightrecorder.polyscope-flight-recorder-impl [78]
Starting bundle: com.ur.polyscope.freedrive.polyscope-freedrive-api [79]
Starting bundle: com.ur.polyscope.freedrive.polyscope-freedrive-driver [80]
Starting bundle: com.ur.polyscope.freedrive.polyscope-freedrive-impl [81]
Starting bundle: com.ur.polyscope.geomfeature.polyscope-geom-feature-api [82]
Starting bundle: com.ur.polyscope.geomfeature.polyscope-geom-feature-driver [83]
Starting bundle: com.ur.polyscope.geomfeature.polyscope-geom-feature-impl [84]
Starting bundle: com.ur.polyscope.gripper.polyscope-gripper-driver [85]
Starting bundle: com.ur.polyscope.gripper.polyscope-gripper-impl [86]
Starting bundle: com.ur.polyscope.initializerobot.polyscope-initializerobot-api [87]
Starting bundle: com.ur.polyscope.initializerobot.polyscope-initializerobot-driver [88]
Starting bundle: com.ur.polyscope.initializerobot.polyscope-initializerobot-impl [89]
Starting bundle: com.ur.polyscope.installation.polyscope-installation-api [90]
Starting bundle: com.ur.polyscope.installation.polyscope-installation-driver [91]
Starting bundle: com.ur.polyscope.installation.polyscope-installation-impl [92]
Starting bundle: com.ur.polyscope.installation.polyscope-installation-urcap-api [93]
Starting bundle: com.ur.polyscope.io.polyscope-io-api [94]
Starting bundle: com.ur.polyscope.io.polyscope-io-driver [95]
Starting bundle: com.ur.polyscope.io.polyscope-io-impl [96]
Starting bundle: com.ur.polyscope.java.logger.polyscope-java-logger-api [97]
Starting bundle: com.ur.polyscope.java.logger.polyscope-java-logger-impl [98]
Starting bundle: com.ur.polyscope.java.logger.polyscope-java-logger-log4jcore [99]
Starting bundle: com.ur.polyscope.lang [100]
Starting bundle: com.ur.polyscope.license.polyscope-license-api [101]
Starting bundle: com.ur.polyscope.license.polyscope-license-driver [102]
Starting bundle: com.ur.polyscope.license.polyscope-license-impl [103]
Starting bundle: com.ur.polyscope.logging.polyscope-logging-api [104]
Starting bundle: com.ur.polyscope.logging.polyscope-logging-driver [105]
Starting bundle: com.ur.polyscope.logging.polyscope-logging-impl [106]
Starting bundle: com.ur.polyscope.monitor [107]
Starting bundle: com.ur.polyscope.move.polyscope-move-api [108]
Starting bundle: com.ur.polyscope.move.polyscope-move-driver [109]
Starting bundle: com.ur.polyscope.move.polyscope-move-impl [110]
Starting bundle: com.ur.polyscope.persistence.polyscope-persistence-api [111]
Starting bundle: com.ur.polyscope.persistence.polyscope-persistence-impl [112]
Starting bundle: com.ur.polyscope.program.polyscope-program-api [113]
Starting bundle: com.ur.polyscope.program.polyscope-program-driver [114]
Starting bundle: com.ur.polyscope.program.polyscope-program-impl [115]
Starting bundle: com.ur.polyscope.program.metrics.polyscope-program-metrics-impl [116]
Starting bundle: com.ur.polyscope.robot.configuration.polyscope-robot-configuration-api [117]
Starting bundle: com.ur.polyscope.robot.configuration.polyscope-robot-configuration-impl [118]
Starting bundle: com.ur.polyscope.robot.prototypes.polyscope-robot-prototypes-impl [119]
Starting bundle: com.ur.polyscope.safety.polyscope-safety-api [120]
Starting bundle: com.ur.polyscope.safety.polyscope-safety-driver [121]
Starting bundle: com.ur.polyscope.safety.polyscope-safety-impl [122]
Starting bundle: com.ur.polyscope.screenshot.polyscope-screenshot-builder-api [123]
Starting bundle: com.ur.polyscope.screwdriving.polyscope-screwdriving-driver [124]
Starting bundle: com.ur.polyscope.screwdriving.polyscope-screwdriving-impl [125]
Starting bundle: com.ur.polyscope.scriptwriter.polyscope-scriptwriter [126]
Starting bundle: com.ur.polyscope.security.polyscope-security-api [127]
Starting bundle: com.ur.polyscope.security.polyscope-security-driver [128]
Starting bundle: com.ur.polyscope.security.polyscope-security-impl [129]
Starting bundle: com.ur.polyscope.settings.polyscope-settings-api [130]
Starting bundle: com.ur.polyscope.settings.polyscope-settings-impl [131]
Starting bundle: com.ur.polyscope.simulation.polyscope-simulation-api [132]
Starting bundle: com.ur.polyscope.simulation.polyscope-simulation-impl [133]
Starting bundle: com.ur.polyscope.swing [134]
Starting bundle: com.ur.polyscope.system.polyscope-system-api [135]
Starting bundle: com.ur.polyscope.system.polyscope-system-diagnostics-impl [136]
Starting bundle: com.ur.polyscope.system.polyscope-system-driver [137]
Starting bundle: com.ur.polyscope.system.polyscope-system-impl [138]
Starting bundle: com.ur.polyscope.tcp.polyscope-tcp-api [139]
Starting bundle: com.ur.polyscope.tcp.polyscope-tcp-driver [140]
Starting bundle: com.ur.polyscope.tcp.polyscope-tcp-impl [141]
Starting bundle: com.ur.polyscope.tcp.polyscope-tcp-urcap-api [142]
Starting bundle: com.ur.polyscope.toolbar.polyscope-toolbar-api [143]
Starting bundle: com.ur.polyscope.toolbar.polyscope-toolbar-impl [144]
Starting bundle: com.ur.polyscope.urcaps.polyscope-urcap-api [145]
Starting bundle: com.ur.polyscope.urcaps.polyscope-urcap-driver [146]
Starting bundle: com.ur.polyscope.urcaps.polyscope-urcap-impl [147]
Starting bundle: com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148]
Starting bundle: com.ur.polyscope.valueobjects.polyscope-value-objects-api [149]
Starting bundle: com.ur.polyscope.valueobjects.polyscope-value-objects-impl [150]
Starting bundle: com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api [151]
Starting bundle: com.ur.polyscope.version.polyscope-version-api [152]
Starting bundle: com.ur.polyscope.version.polyscope-version-impl [153]
Starting bundle: com.ur.urcap.profinet [154]
Starting bundle: com.ur.polyscope.program [155]
Starting bundle: com.ur.polyscope.safety.remotecontrol [157]
Starting bundle: com.ur.polyscope.safety [161]
Starting bundle: com.ur.polyscope.screwdriving.urcap.screwdriving-urcap-api-export [162]
Starting bundle: com.ur.polyscope.urcap [166]
Starting bundle: com.ur.polyscope.toolbar.urcap.api-export [167]
Starting bundle: com.ur.polyscope.urcaps.urcap-api-export-robotmovement [168]
Starting bundle: com.ur.urscript2pojo [169]
Starting bundle: com.ur.polyscope.view [172]
Starting bundle: com.ur.polyscope.viewfacade [173]
Starting bundle: com.ur.polyscope.visualizer [174]
10:37:48.181 WARN  - Method used before correct value has been received from controller, returning default = joint_max_speed {thread: Thread-3 , loggerClass: com.ur.polyscope.robot.configuration.joint.JointConfigurationSettings}
10:37:48.186 WARN  - Ignoring any future reports of error {thread: Thread-3 , loggerClass: com.ur.polyscope.robot.configuration.joint.JointConfigurationSettings}
Jul 05, 2021 10:37:48 AM com.steadystate.css.parser.CSSOMParser <init>
WARNING: java.lang.ClassNotFoundException: com.steadystate.css.parser.SACParserCSS21 not found by org.w3c.css.sac [160]
Jul 05, 2021 10:37:48 AM com.steadystate.css.parser.CSSOMParser <init>
WARNING: using the default 'SACParserCSS21' instead
10:37:50.263 WARN  - Not connected to controller, trying to send string: 
sec load_installation():
  set_standard_analog_input_domain(0, 1)
  set_standard_analog_input_domain(1, 1)
  set_tool_analog_input_domain(0, 1)
  set_tool_analog_input_domain(1, 1)
  set_analog_outputdomain(0, 0)
  set_analog_outputdomain(1, 0)
  set_input_actions_to_default()
  set_gravity([0.0, 0.0, 9.82])
  step_count_3e2e3005_0d23_422c_8d76_9f73563bc9a7 = 0
  thread Step_Counter_Thread_ff499efd_2f39_44d3_8416_45784c1ec1af():
    while (True):
      step_count_3e2e3005_0d23_422c_8d76_9f73563bc9a7 = step_count_3e2e3005_0d23_422c_8d76_9f73563bc9a7 + 1
      sync()
    end
  end
  run Step_Counter_Thread_ff499efd_2f39_44d3_8416_45784c1ec1af()
  set_safety_mode_transition_hardness(1)
  set_tcp(p[0.0,0.0,0.0,0.0,0.0,0.0])
  set_payload(0.0)
  set_tool_communication(False, 115200, 0, 1, 1.5, 3.5)
  set_tool_output_mode(0)
  set_tool_digital_output_mode(0, 1)
  set_tool_digital_output_mode(1, 1)
  set_tool_voltage(0)
end
 {thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
10:37:56.704 WARN  - No parent window for message: Value cannot be greater than given maximum value. (component: minPosBaseNormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
10:37:56.708 WARN  - No parent window for message: Value cannot be greater than given maximum value. (component: minPosShoulderNormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
10:37:56.709 WARN  - No parent window for message: Value cannot be greater than given maximum value. (component: minPosElbowNormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
10:37:56.710 WARN  - No parent window for message: Value cannot be greater than given maximum value. (component: minPosWrist1NormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
10:37:56.710 WARN  - No parent window for message: Value cannot be greater than given maximum value. (component: minPosWrist2NormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
10:37:56.713 WARN  - No parent window for message: Value cannot be greater than given maximum value. (component: minPosWrist3NormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
10:38:01.938 ERROR - RobotState messages are queued up: 6 {thread: RobotState - PostMan , loggerClass: com.ur.monitor.RobotState$PostMan}


Then I launched it together with URCap

Checking Robot Root Certificate
~/ursim/ursim-5.8.0.10253/GUI ~/ursim/ursim-5.8.0.10253 ~/ursim/ursim-5.8.0.10253
      - aopalliance-1.0.jar
      - aspectjrt-1.8.2.jar
      - awtextra-1.0.jar
      - balloontip-1.2.4.jar
      - bcpkix-jdk15on-1.59.jar
      - bcprov-jdk15on-1.59.jar
      - boot-g5-74.4.1104.jar
      - calibration-10.8.391.jar
      - cglib-nodep-2.2.jar
      - commons-beanutils-1.8.3.jar
      - commons-codec-1.9.jar
      - commons-collections-3.2.1.jar
      - commons-httpclient-3.1.0.0.jar
      - commons-io-2.4.jar
      - commons-lang-2.6.jar
      - commons-lang3-3.3.2.jar
      - commons-logging-1.2.jar
      - commons-math3-3.3.jar
      - constants-16.2.1.jar
      - conveyortracking-1.3.19.jar
      - cssparser-0.9.14.jar
      - defaultprogram-10.8.391.jar
      - driver-g5-10.8.391.jar
      - ethernetip-1.1.14.jar
      - filters-2.0.235.jar
      - freehep-java3d-2.1.jar
      - g5-10.8.391.jar
      - geom-feature-urcap-api-export-1.8.20.jar
      - gripper-urcap-api-export-1.2.183.jar
      - groovy-2.4.12.jar
      - gson-2.8.5.jar
      - guava-19.0.jar
      - guice-4.1.0.jar
      - guice-multibindings-4.1.0.jar
      - help-g5-UR10e-3.8.59.jar
      - help-g5-UR16e-3.8.59.jar
      - help-g5-UR3e-3.8.59.jar
      - help-g5-UR5e-3.8.59.jar
      - immi-10.8.391.jar
      - initializerobot-10.8.391.jar
      - installation-10.8.391.jar
      - internaltcp-10.8.391.jar
      - io-10.8.391.jar
      - j3d-core-1.5.2-modified.jar
      - j3d-core-utils-1.5.2-modified.jar
      - jackson-annotations-2.7.0.jar
      - jackson-core-2.7.9.jar
      - jackson-databind-2.7.9.6.jar
      - javahelp-2.0.05.jar
      - javax.inject-1.jar
      - jemmy-3.2.1.jar
      - jgoodies-common-1.7.0.jar
      - jgoodies-forms-1.7.2.jar
      - jsoup-1.7.3.jar
      - jsr305-3.0.1.jar
      - log4j-api-2.3.jar
      - move-10.8.391.jar
      - org.apache.felix.bundlerepository-1.6.0.jar
      - org.apache.felix.shell-1.4.3.jar
      - org.apache.felix.shell.remote-1.1.2.jar
      - org.osgi.core-6.0.0.jar
      - pallet-impl-10.8.391.jar
      - pin-10.8.391.jar
      - platform-api-4.7.5.jar
      - polyscope-application-api-1.11.82.jar
      - polyscope-concept-operations-api-7.4.11.jar
      - polyscope-concept-operations-driver-7.4.11.jar
      - polyscope-concept-operations-impl-7.4.11.jar
      - polyscope-controllerinterface-api-4.5.26.jar
      - polyscope-controllerinterface-impl-4.5.26.jar
      - polyscope-dashboard-server-api-1.10.8.jar
      - polyscope-dashboard-server-impl-1.10.8.jar
      - polyscope-driver-api-3.11.5.jar
      - polyscope-file-manager-api-5.4.16.jar
      - polyscope-file-manager-driver-5.4.16.jar
      - polyscope-file-manager-impl-5.4.16.jar
      - polyscope-flight-recorder-api-5.3.28.jar
      - polyscope-flight-recorder-impl-5.3.28.jar
      - polyscope-freedrive-api-1.1.66.jar
      - polyscope-freedrive-driver-1.1.66.jar
      - polyscope-freedrive-impl-1.1.66.jar
      - polyscope-geom-feature-api-1.8.20.jar
      - polyscope-geom-feature-driver-1.8.20.jar
      - polyscope-geom-feature-impl-1.8.20.jar
      - polyscope-gripper-driver-1.2.183.jar
      - polyscope-gripper-impl-1.2.183.jar
      - polyscope-initializerobot-api-4.4.12.jar
      - polyscope-initializerobot-driver-4.4.12.jar
      - polyscope-initializerobot-impl-4.4.12.jar
      - polyscope-installation-api-6.4.20.jar
      - polyscope-installation-driver-6.4.20.jar
      - polyscope-installation-impl-6.4.20.jar
      - polyscope-installation-urcap-api-6.4.20.jar
      - polyscope-io-api-4.4.34.jar
      - polyscope-io-driver-4.4.34.jar
      - polyscope-io-impl-4.4.34.jar
      - polyscope-java-logger-api-1.9.13.jar
      - polyscope-java-logger-impl-1.9.13.jar
      - polyscope-java-logger-log4jcore-1.9.13.jar
      - polyscope-lang-3.4.14.jar
      - polyscope-license-api-2.4.21.jar
      - polyscope-license-driver-2.4.21.jar
      - polyscope-license-impl-2.4.21.jar
      - polyscope-logging-api-7.3.51.jar
      - polyscope-logging-driver-7.3.51.jar
      - polyscope-logging-impl-7.3.51.jar
      - polyscope-monitor-5.3.23.jar
      - polyscope-move-api-1.6.11.jar
      - polyscope-move-driver-1.6.11.jar
      - polyscope-move-impl-1.6.11.jar
      - polyscope-persistence-api-1.7.15.jar
      - polyscope-persistence-impl-1.7.15.jar
      - polyscope-program-api-5.3.52.jar
      - polyscope-program-driver-5.3.52.jar
      - polyscope-program-impl-5.3.52.jar
      - polyscope-program-metrics-impl-3.4.12.jar
      - polyscope-robot-configuration-api-5.4.25.jar
      - polyscope-robot-configuration-impl-5.4.25.jar
      - polyscope-robot-prototypes-impl-3.3.8.jar
      - polyscope-safety-api-1.1.12.jar
      - polyscope-safety-driver-1.1.12.jar
      - polyscope-safety-impl-1.1.12.jar
      - polyscope-screenshot-builder-api-2.5.2.jar
      - polyscope-screwdriving-driver-3.2.21.jar
      - polyscope-screwdriving-impl-3.2.21.jar
      - polyscope-scriptwriter-3.1.6.jar
      - polyscope-security-api-7.4.19.jar
      - polyscope-security-driver-7.4.19.jar
      - polyscope-security-impl-7.4.19.jar
      - polyscope-settings-api-4.11.8.jar
      - polyscope-settings-impl-4.11.8.jar
      - polyscope-simulation-api-5.4.12.jar
      - polyscope-simulation-impl-5.4.12.jar
      - polyscope-swing-5.22.34.jar
      - polyscope-system-api-6.3.16.jar
      - polyscope-system-diagnostics-impl-6.3.16.jar
      - polyscope-system-driver-6.3.16.jar
      - polyscope-system-impl-6.3.16.jar
      - polyscope-tcp-api-1.5.46.jar
      - polyscope-tcp-driver-1.5.46.jar
      - polyscope-tcp-impl-1.5.46.jar
      - polyscope-tcp-urcap-api-1.5.46.jar
      - polyscope-toolbar-api-7.3.8.jar
      - polyscope-toolbar-impl-7.3.8.jar
      - polyscope-urcap-api-13.4.63.jar
      - polyscope-urcap-driver-13.4.63.jar
      - polyscope-urcap-impl-13.4.63.jar
      - polyscope-urcap-urcap-api-13.4.63.jar
      - polyscope-value-objects-api-1.11.82.jar
      - polyscope-value-objects-impl-1.11.82.jar
      - polyscope-value-objects-urcap-api-1.11.82.jar
      - polyscope-version-api-1.13.8.jar
      - polyscope-version-impl-1.13.8.jar
      - profinet-1.1.11.jar
      - program-10.8.391.jar
      - reactive-streams-1.0.0.jar
      - remotecontrol-10.8.391.jar
      - remotetcp-1.2.65-build36.jar
      - rxjava-2.1.0.jar
      - sac-1.3.jar
      - safety-10.8.391.jar
      - screwdriving-urcap-api-export-3.2.21.jar
      - swing-layout-1.0.3.jar
      - swing-worker-1.1.jar
      - swingx-1.6.1.jar
      - urcap-10.8.391.jar
      - urcap-api-export-7.3.8.jar
      - urcap-api-export-robotmovement-13.4.63.jar
Installing bundles for: bundle/urcaps
      - com.vavaka.test_1.jar
      - urscript2pojo-1.3.3.jar
      - validation-api-1.1.0.Final.jar
      - vecmath-1.5.2-modified.jar
      - view-10.8.391.jar
      - viewfacade-10.8.391.jar
      - visualizer-10.8.391.jar
      - ws-commons-util-1.0.2.0.jar
      - xmlrpc-client-3.1.3.0.jar
      - xmlrpc-common-3.1.3.0.jar
      - xpp3_min-1.1.4c.jar
      - xstream-1.3.1.jar
Validating bundle: com.ur.polyscope.platform-api [1]
Validating bundle: com.ur.polyscope.calibration [12]
Validating bundle: com.ur.polyscope.constants [23]
Validating bundle: com.ur.urcap.conveyortracking [24]
Validating bundle: com.ur.polyscope.defaultprogram [26]
Validating bundle: com.ur.polyscope.driver-g5 [27]
Validating bundle: com.ur.urcap.ethernetip [28]
Validating bundle: com.ur.polyscope.g5 [31]
Validating bundle: com.ur.polyscope.geomfeature.urcap.geom-feature-urcap-api-export [32]
Validating bundle: com.ur.polyscope.gripper.urcap.gripper-urcap-api-export [33]
Validating bundle: com.ur.polyscope.help-g5-UR10e [39]
Validating bundle: com.ur.polyscope.help-g5-UR16e [40]
Validating bundle: com.ur.polyscope.help-g5-UR3e [41]
Validating bundle: com.ur.polyscope.help-g5-UR5e [42]
Validating bundle: com.ur.polyscope.immi [43]
Validating bundle: com.ur.polyscope.initializerobot [44]
Validating bundle: com.ur.polyscope.installation [45]
Validating bundle: com.ur.polyscope.internaltcp [46]
Validating bundle: com.ur.polyscope.io [47]
Validating bundle: com.ur.polyscope.move [61]
Validating bundle: com.ur.pallet-impl [63]
Validating bundle: com.ur.polyscope.pin [64]
Validating bundle: com.ur.polyscope.application.polyscope-application-api [65]
Validating bundle: com.ur.polyscope.concept.operations.polyscope-concept-operations-api [66]
Validating bundle: com.ur.polyscope.concept.operations.polyscope-concept-operations-driver [67]
Validating bundle: com.ur.polyscope.concept.operations.polyscope-concept-operations-impl [68]
Validating bundle: com.ur.polyscope.controllerinterface.polyscope-controllerinterface-api [69]
Validating bundle: com.ur.polyscope.controllerinterface.polyscope-controllerinterface-impl [70]
Validating bundle: com.ur.polyscope.dashboardserver.polyscope-dashboard-server-api [71]
Validating bundle: com.ur.polyscope.dashboardserver.polyscope-dashboard-server-impl [72]
Validating bundle: com.ur.polyscope.driver-api [73]
Validating bundle: com.ur.polyscope.file-manager.polyscope-file-manager-api [74]
Validating bundle: com.ur.polyscope.file-manager.polyscope-file-manager-driver [75]
Validating bundle: com.ur.polyscope.file-manager.polyscope-file-manager-impl [76]
Validating bundle: com.ur.polyscope.flightrecorder.polyscope-flight-recorder-api [77]
Validating bundle: com.ur.polyscope.flightrecorder.polyscope-flight-recorder-impl [78]
Validating bundle: com.ur.polyscope.freedrive.polyscope-freedrive-api [79]
Validating bundle: com.ur.polyscope.freedrive.polyscope-freedrive-driver [80]
Validating bundle: com.ur.polyscope.freedrive.polyscope-freedrive-impl [81]
Validating bundle: com.ur.polyscope.geomfeature.polyscope-geom-feature-api [82]
Validating bundle: com.ur.polyscope.geomfeature.polyscope-geom-feature-driver [83]
Validating bundle: com.ur.polyscope.geomfeature.polyscope-geom-feature-impl [84]
Validating bundle: com.ur.polyscope.gripper.polyscope-gripper-driver [85]
Validating bundle: com.ur.polyscope.gripper.polyscope-gripper-impl [86]
Validating bundle: com.ur.polyscope.initializerobot.polyscope-initializerobot-api [87]
Validating bundle: com.ur.polyscope.initializerobot.polyscope-initializerobot-driver [88]
Validating bundle: com.ur.polyscope.initializerobot.polyscope-initializerobot-impl [89]
Validating bundle: com.ur.polyscope.installation.polyscope-installation-api [90]
Validating bundle: com.ur.polyscope.installation.polyscope-installation-driver [91]
Validating bundle: com.ur.polyscope.installation.polyscope-installation-impl [92]
Validating bundle: com.ur.polyscope.installation.polyscope-installation-urcap-api [93]
Validating bundle: com.ur.polyscope.io.polyscope-io-api [94]
Validating bundle: com.ur.polyscope.io.polyscope-io-driver [95]
Validating bundle: com.ur.polyscope.io.polyscope-io-impl [96]
Validating bundle: com.ur.polyscope.java.logger.polyscope-java-logger-api [97]
Validating bundle: com.ur.polyscope.java.logger.polyscope-java-logger-impl [98]
Validating bundle: com.ur.polyscope.java.logger.polyscope-java-logger-log4jcore [99]
Validating bundle: com.ur.polyscope.lang [100]
Validating bundle: com.ur.polyscope.license.polyscope-license-api [101]
Validating bundle: com.ur.polyscope.license.polyscope-license-driver [102]
Validating bundle: com.ur.polyscope.license.polyscope-license-impl [103]
Validating bundle: com.ur.polyscope.logging.polyscope-logging-api [104]
Validating bundle: com.ur.polyscope.logging.polyscope-logging-driver [105]
Validating bundle: com.ur.polyscope.logging.polyscope-logging-impl [106]
Validating bundle: com.ur.polyscope.monitor [107]
Validating bundle: com.ur.polyscope.move.polyscope-move-api [108]
Validating bundle: com.ur.polyscope.move.polyscope-move-driver [109]
Validating bundle: com.ur.polyscope.move.polyscope-move-impl [110]
Validating bundle: com.ur.polyscope.persistence.polyscope-persistence-api [111]
Validating bundle: com.ur.polyscope.persistence.polyscope-persistence-impl [112]
Validating bundle: com.ur.polyscope.program.polyscope-program-api [113]
Validating bundle: com.ur.polyscope.program.polyscope-program-driver [114]
Validating bundle: com.ur.polyscope.program.polyscope-program-impl [115]
Validating bundle: com.ur.polyscope.program.metrics.polyscope-program-metrics-impl [116]
Validating bundle: com.ur.polyscope.robot.configuration.polyscope-robot-configuration-api [117]
Validating bundle: com.ur.polyscope.robot.configuration.polyscope-robot-configuration-impl [118]
Validating bundle: com.ur.polyscope.robot.prototypes.polyscope-robot-prototypes-impl [119]
Validating bundle: com.ur.polyscope.safety.polyscope-safety-api [120]
Validating bundle: com.ur.polyscope.safety.polyscope-safety-driver [121]
Validating bundle: com.ur.polyscope.safety.polyscope-safety-impl [122]
Validating bundle: com.ur.polyscope.screenshot.polyscope-screenshot-builder-api [123]
Validating bundle: com.ur.polyscope.screwdriving.polyscope-screwdriving-driver [124]
Validating bundle: com.ur.polyscope.screwdriving.polyscope-screwdriving-impl [125]
Validating bundle: com.ur.polyscope.scriptwriter.polyscope-scriptwriter [126]
Validating bundle: com.ur.polyscope.security.polyscope-security-api [127]
Validating bundle: com.ur.polyscope.security.polyscope-security-driver [128]
Validating bundle: com.ur.polyscope.security.polyscope-security-impl [129]
Validating bundle: com.ur.polyscope.settings.polyscope-settings-api [130]
Validating bundle: com.ur.polyscope.settings.polyscope-settings-impl [131]
Validating bundle: com.ur.polyscope.simulation.polyscope-simulation-api [132]
Validating bundle: com.ur.polyscope.simulation.polyscope-simulation-impl [133]
Validating bundle: com.ur.polyscope.swing [134]
Validating bundle: com.ur.polyscope.system.polyscope-system-api [135]
Validating bundle: com.ur.polyscope.system.polyscope-system-diagnostics-impl [136]
Validating bundle: com.ur.polyscope.system.polyscope-system-driver [137]
Validating bundle: com.ur.polyscope.system.polyscope-system-impl [138]
Validating bundle: com.ur.polyscope.tcp.polyscope-tcp-api [139]
Validating bundle: com.ur.polyscope.tcp.polyscope-tcp-driver [140]
Validating bundle: com.ur.polyscope.tcp.polyscope-tcp-impl [141]
Validating bundle: com.ur.polyscope.tcp.polyscope-tcp-urcap-api [142]
Validating bundle: com.ur.polyscope.toolbar.polyscope-toolbar-api [143]
Validating bundle: com.ur.polyscope.toolbar.polyscope-toolbar-impl [144]
Validating bundle: com.ur.polyscope.urcaps.polyscope-urcap-api [145]
Validating bundle: com.ur.polyscope.urcaps.polyscope-urcap-driver [146]
Validating bundle: com.ur.polyscope.urcaps.polyscope-urcap-impl [147]
Validating bundle: com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148]
Split package detected!
  com.ur.urcap.api.contribution.driver.general.tcp; version=1.8.0
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
  com.ur.polyscope.tcp.polyscope-tcp-urcap-api [142] com.ur.polyscope.tcp.polyscope-tcp-urcap-api
Split package detected!
  com.ur.urcap.api.domain.feature; version=1.9.0
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
  com.ur.polyscope.geomfeature.urcap.geom-feature-urcap-api-export [32] com.ur.polyscope.geomfeature.urcap.geom-feature-urcap-api-export
Split package detected!
  com.ur.urcap.api.domain.tcp; version=1.7.4
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
  com.ur.polyscope.tcp.polyscope-tcp-urcap-api [142] com.ur.polyscope.tcp.polyscope-tcp-urcap-api
Split package detected!
  com.ur.urcap.api.domain.util; version=1.7.4
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
  com.ur.polyscope.geomfeature.urcap.geom-feature-urcap-api-export [32] com.ur.polyscope.geomfeature.urcap.geom-feature-urcap-api-export
Validating bundle: com.ur.polyscope.valueobjects.polyscope-value-objects-api [149]
Validating bundle: com.ur.polyscope.valueobjects.polyscope-value-objects-impl [150]
Validating bundle: com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api [151]
Split package detected!
  com.ur.urcap.api.domain.validation; version=1.7.0
  com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api [151] com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
Split package detected!
  com.ur.urcap.api.domain.value; version=1.7.0
  com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api [151] com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
Split package detected!
  com.ur.urcap.api.domain.value.blend; version=1.7.0
  com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api [151] com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
Split package detected!
  com.ur.urcap.api.domain.value.jointposition; version=1.7.0
  com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api [151] com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
Split package detected!
  com.ur.urcap.api.domain.value.simple; version=1.8.0
  com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api [151] com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
Validating bundle: com.ur.polyscope.version.polyscope-version-api [152]
Validating bundle: com.ur.polyscope.version.polyscope-version-impl [153]
Validating bundle: com.ur.urcap.profinet [154]
Validating bundle: com.ur.polyscope.program [155]
Validating bundle: com.ur.polyscope.safety.remotecontrol [157]
Validating bundle: com.ur.polyscope.safety [161]
Validating bundle: com.ur.polyscope.screwdriving.urcap.screwdriving-urcap-api-export [162]
Validating bundle: com.ur.polyscope.urcap [166]
Validating bundle: com.ur.polyscope.toolbar.urcap.api-export [167]
Validating bundle: com.ur.polyscope.urcaps.urcap-api-export-robotmovement [168]
Split package detected!
  com.ur.urcap.api.domain.userinteraction.robot.movement; version=1.7.4
  com.ur.polyscope.urcaps.urcap-api-export-robotmovement [168] com.ur.polyscope.urcaps.urcap-api-export-robotmovement
  com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148] com.ur.polyscope.urcaps.polyscope-urcap-urcap-api
Validating bundle: com.ur.urscript2pojo [169]
Validating bundle: com.ur.polyscope.view [172]
Split package detected!
  com.ur.resources; version=10.8.391
  com.ur.polyscope.view [172] com.ur.polyscope.view
  com.ur.polyscope.file-manager.polyscope-file-manager-impl [76] com.ur.polyscope.file-manager.polyscope-file-manager-impl
Split package detected!
  com.ur.i18n; version=10.8.391
  com.ur.polyscope.view [172] com.ur.polyscope.view
  com.ur.polyscope.file-manager.polyscope-file-manager-impl [76] com.ur.polyscope.file-manager.polyscope-file-manager-impl
Split package detected!
  gui.controllerinterface; version=10.8.391
  com.ur.polyscope.view [172] com.ur.polyscope.view
  com.ur.polyscope.view [172] com.ur.polyscope.view
Validating bundle: com.ur.polyscope.viewfacade [173]
Validating bundle: com.ur.polyscope.visualizer [174]
Starting bundle: com.ur.polyscope.platform-api [1]
Starting bundle: com.ur.polyscope.calibration [12]
Starting bundle: com.ur.polyscope.constants [23]
Starting bundle: com.ur.urcap.conveyortracking [24]
Starting bundle: com.ur.polyscope.defaultprogram [26]
Starting bundle: com.ur.polyscope.driver-g5 [27]
Starting bundle: com.ur.urcap.ethernetip [28]
Starting bundle: com.ur.polyscope.g5 [31]
Starting bundle: com.ur.polyscope.geomfeature.urcap.geom-feature-urcap-api-export [32]
Starting bundle: com.ur.polyscope.gripper.urcap.gripper-urcap-api-export [33]
Starting bundle: com.ur.polyscope.help-g5-UR10e [39]
Starting bundle: com.ur.polyscope.help-g5-UR16e [40]
Starting bundle: com.ur.polyscope.help-g5-UR3e [41]
Starting bundle: com.ur.polyscope.help-g5-UR5e [42]
Starting bundle: com.ur.polyscope.immi [43]
Starting bundle: com.ur.polyscope.initializerobot [44]
Starting bundle: com.ur.polyscope.installation [45]
Starting bundle: com.ur.polyscope.internaltcp [46]
Starting bundle: com.ur.polyscope.io [47]
Starting bundle: com.ur.polyscope.move [61]
Starting bundle: com.ur.pallet-impl [63]
Starting bundle: com.ur.polyscope.pin [64]
Starting bundle: com.ur.polyscope.application.polyscope-application-api [65]
Starting bundle: com.ur.polyscope.concept.operations.polyscope-concept-operations-api [66]
Starting bundle: com.ur.polyscope.concept.operations.polyscope-concept-operations-driver [67]
Starting bundle: com.ur.polyscope.concept.operations.polyscope-concept-operations-impl [68]
Starting bundle: com.ur.polyscope.controllerinterface.polyscope-controllerinterface-api [69]
Starting bundle: com.ur.polyscope.controllerinterface.polyscope-controllerinterface-impl [70]
Starting bundle: com.ur.polyscope.dashboardserver.polyscope-dashboard-server-api [71]
Starting bundle: com.ur.polyscope.dashboardserver.polyscope-dashboard-server-impl [72]
Starting bundle: com.ur.polyscope.driver-api [73]
Starting bundle: com.ur.polyscope.file-manager.polyscope-file-manager-api [74]
Starting bundle: com.ur.polyscope.file-manager.polyscope-file-manager-driver [75]
Starting bundle: com.ur.polyscope.file-manager.polyscope-file-manager-impl [76]
Starting bundle: com.ur.polyscope.flightrecorder.polyscope-flight-recorder-api [77]
Starting bundle: com.ur.polyscope.flightrecorder.polyscope-flight-recorder-impl [78]
Starting bundle: com.ur.polyscope.freedrive.polyscope-freedrive-api [79]
Starting bundle: com.ur.polyscope.freedrive.polyscope-freedrive-driver [80]
Starting bundle: com.ur.polyscope.freedrive.polyscope-freedrive-impl [81]
Starting bundle: com.ur.polyscope.geomfeature.polyscope-geom-feature-api [82]
Starting bundle: com.ur.polyscope.geomfeature.polyscope-geom-feature-driver [83]
Starting bundle: com.ur.polyscope.geomfeature.polyscope-geom-feature-impl [84]
Starting bundle: com.ur.polyscope.gripper.polyscope-gripper-driver [85]
Starting bundle: com.ur.polyscope.gripper.polyscope-gripper-impl [86]
Starting bundle: com.ur.polyscope.initializerobot.polyscope-initializerobot-api [87]
Starting bundle: com.ur.polyscope.initializerobot.polyscope-initializerobot-driver [88]
Starting bundle: com.ur.polyscope.initializerobot.polyscope-initializerobot-impl [89]
Starting bundle: com.ur.polyscope.installation.polyscope-installation-api [90]
Starting bundle: com.ur.polyscope.installation.polyscope-installation-driver [91]
Starting bundle: com.ur.polyscope.installation.polyscope-installation-impl [92]
Starting bundle: com.ur.polyscope.installation.polyscope-installation-urcap-api [93]
Starting bundle: com.ur.polyscope.io.polyscope-io-api [94]
Starting bundle: com.ur.polyscope.io.polyscope-io-driver [95]
Starting bundle: com.ur.polyscope.io.polyscope-io-impl [96]
Starting bundle: com.ur.polyscope.java.logger.polyscope-java-logger-api [97]
Starting bundle: com.ur.polyscope.java.logger.polyscope-java-logger-impl [98]
Starting bundle: com.ur.polyscope.java.logger.polyscope-java-logger-log4jcore [99]
Starting bundle: com.ur.polyscope.lang [100]
Starting bundle: com.ur.polyscope.license.polyscope-license-api [101]
Starting bundle: com.ur.polyscope.license.polyscope-license-driver [102]
Starting bundle: com.ur.polyscope.license.polyscope-license-impl [103]
Starting bundle: com.ur.polyscope.logging.polyscope-logging-api [104]
Starting bundle: com.ur.polyscope.logging.polyscope-logging-driver [105]
Starting bundle: com.ur.polyscope.logging.polyscope-logging-impl [106]
Starting bundle: com.ur.polyscope.monitor [107]
Starting bundle: com.ur.polyscope.move.polyscope-move-api [108]
Starting bundle: com.ur.polyscope.move.polyscope-move-driver [109]
Starting bundle: com.ur.polyscope.move.polyscope-move-impl [110]
Starting bundle: com.ur.polyscope.persistence.polyscope-persistence-api [111]
Starting bundle: com.ur.polyscope.persistence.polyscope-persistence-impl [112]
Starting bundle: com.ur.polyscope.program.polyscope-program-api [113]
Starting bundle: com.ur.polyscope.program.polyscope-program-driver [114]
Starting bundle: com.ur.polyscope.program.polyscope-program-impl [115]
Starting bundle: com.ur.polyscope.program.metrics.polyscope-program-metrics-impl [116]
Starting bundle: com.ur.polyscope.robot.configuration.polyscope-robot-configuration-api [117]
Starting bundle: com.ur.polyscope.robot.configuration.polyscope-robot-configuration-impl [118]
Starting bundle: com.ur.polyscope.robot.prototypes.polyscope-robot-prototypes-impl [119]
Starting bundle: com.ur.polyscope.safety.polyscope-safety-api [120]
Starting bundle: com.ur.polyscope.safety.polyscope-safety-driver [121]
Starting bundle: com.ur.polyscope.safety.polyscope-safety-impl [122]
Starting bundle: com.ur.polyscope.screenshot.polyscope-screenshot-builder-api [123]
Starting bundle: com.ur.polyscope.screwdriving.polyscope-screwdriving-driver [124]
Starting bundle: com.ur.polyscope.screwdriving.polyscope-screwdriving-impl [125]
Starting bundle: com.ur.polyscope.scriptwriter.polyscope-scriptwriter [126]
Starting bundle: com.ur.polyscope.security.polyscope-security-api [127]
Starting bundle: com.ur.polyscope.security.polyscope-security-driver [128]
Starting bundle: com.ur.polyscope.security.polyscope-security-impl [129]
Starting bundle: com.ur.polyscope.settings.polyscope-settings-api [130]
Starting bundle: com.ur.polyscope.settings.polyscope-settings-impl [131]
Starting bundle: com.ur.polyscope.simulation.polyscope-simulation-api [132]
Starting bundle: com.ur.polyscope.simulation.polyscope-simulation-impl [133]
Starting bundle: com.ur.polyscope.swing [134]
Starting bundle: com.ur.polyscope.system.polyscope-system-api [135]
Starting bundle: com.ur.polyscope.system.polyscope-system-diagnostics-impl [136]
Starting bundle: com.ur.polyscope.system.polyscope-system-driver [137]
Starting bundle: com.ur.polyscope.system.polyscope-system-impl [138]
Starting bundle: com.ur.polyscope.tcp.polyscope-tcp-api [139]
Starting bundle: com.ur.polyscope.tcp.polyscope-tcp-driver [140]
Starting bundle: com.ur.polyscope.tcp.polyscope-tcp-impl [141]
Starting bundle: com.ur.polyscope.tcp.polyscope-tcp-urcap-api [142]
Starting bundle: com.ur.polyscope.toolbar.polyscope-toolbar-api [143]
Starting bundle: com.ur.polyscope.toolbar.polyscope-toolbar-impl [144]
Starting bundle: com.ur.polyscope.urcaps.polyscope-urcap-api [145]
Starting bundle: com.ur.polyscope.urcaps.polyscope-urcap-driver [146]
Starting bundle: com.ur.polyscope.urcaps.polyscope-urcap-impl [147]
Starting bundle: com.ur.polyscope.urcaps.polyscope-urcap-urcap-api [148]
Starting bundle: com.ur.polyscope.valueobjects.polyscope-value-objects-api [149]
Starting bundle: com.ur.polyscope.valueobjects.polyscope-value-objects-impl [150]
Starting bundle: com.ur.polyscope.valueobjects.polyscope-value-objects-urcap-api [151]
Starting bundle: com.ur.polyscope.version.polyscope-version-api [152]
Starting bundle: com.ur.polyscope.version.polyscope-version-impl [153]
Starting bundle: com.ur.urcap.profinet [154]
Starting bundle: com.ur.polyscope.program [155]
Starting bundle: com.ur.polyscope.safety.remotecontrol [157]
Starting bundle: com.ur.polyscope.safety [161]
Starting bundle: com.ur.polyscope.screwdriving.urcap.screwdriving-urcap-api-export [162]
Starting bundle: com.ur.polyscope.urcap [166]
Starting bundle: com.ur.polyscope.toolbar.urcap.api-export [167]
Starting bundle: com.ur.polyscope.urcaps.urcap-api-export-robotmovement [168]
Starting bundle: com.ur.urscript2pojo [169]
Starting bundle: com.ur.polyscope.view [172]
Starting bundle: com.ur.polyscope.viewfacade [173]
Starting bundle: com.ur.polyscope.visualizer [174]
Activator says Hello World!
Activator says daemon_pre
Activator says daemon
Activator says service1
Activator says service2
Activator says inst_service
10:44:02.648 WARN  - Method used before correct value has been received from controller, returning default = joint_max_speed {thread: Thread-3 , loggerClass: com.ur.polyscope.robot.configuration.joint.JointConfigurationSettings}
10:44:02.654 WARN  - Ignoring any future reports of error {thread: Thread-3 , loggerClass: com.ur.polyscope.robot.configuration.joint.JointConfigurationSettings}
Jul 05, 2021 10:44:03 AM com.steadystate.css.parser.CSSOMParser <init>
WARNING: java.lang.ClassNotFoundException: com.steadystate.css.parser.SACParserCSS21 not found by org.w3c.css.sac [160]
Jul 05, 2021 10:44:03 AM com.steadystate.css.parser.CSSOMParser <init>
WARNING: using the default 'SACParserCSS21' instead
10:44:04.770 WARN  - Not connected to controller, trying to send string: 
sec load_installation():
  set_standard_analog_input_domain(0, 1)
  set_standard_analog_input_domain(1, 1)
  set_tool_analog_input_domain(0, 1)
  set_tool_analog_input_domain(1, 1)
  set_analog_outputdomain(0, 0)
  set_analog_outputdomain(1, 0)
  set_input_actions_to_default()
  set_safety_mode_transition_hardness(1)
  set_tool_communication(False, 115200, 0, 1, 1.5, 3.5)
  set_tool_output_mode(0)
  set_tool_digital_output_mode(0, 1)
  set_tool_digital_output_mode(1, 1)
  set_tool_voltage(0)
  step_count_32165a6d_d88e_41be_a1de_db2013e068a0 = 0
  thread Step_Counter_Thread_d8d1ed6e_9704_420a_9378_44bc0ae4997c():
    while (True):
      step_count_32165a6d_d88e_41be_a1de_db2013e068a0 = step_count_32165a6d_d88e_41be_a1de_db2013e068a0 + 1
      sync()
    end
  end
  run Step_Counter_Thread_d8d1ed6e_9704_420a_9378_44bc0ae4997c()
  set_gravity([0.0, 0.0, 9.82])
  set_tcp(p[0.0,0.0,0.0,0.0,0.0,0.0])
  set_payload(0.0)
end
 {thread: Thread-3 , loggerClass: com.ur.polyscope.controllerinterface.internal.ControllerSocket}
10:44:11.246 WARN  - No parent window for message: Value cannot be greater than given maximum value. (component: minPosBaseNormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
10:44:11.247 WARN  - No parent window for message: Value cannot be greater than given maximum value. (component: minPosShoulderNormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
10:44:11.251 WARN  - No parent window for message: Value cannot be greater than given maximum value. (component: minPosElbowNormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
10:44:11.251 WARN  - No parent window for message: Value cannot be greater than given maximum value. (component: minPosWrist1NormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
10:44:11.252 WARN  - No parent window for message: Value cannot be greater than given maximum value. (component: minPosWrist2NormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
10:44:11.252 WARN  - No parent window for message: Value cannot be greater than given maximum value. (component: minPosWrist3NormalMode.JointsLimitsPanel) {thread: Thread-3 , loggerClass: com.ur.swing.DisplayMessageFactory}
10:44:16.016 ERROR - RobotState messages are queued up: 4 {thread: RobotState - PostMan , loggerClass: com.ur.monitor.RobotState$PostMan}


ur control log

URControl 29.3.32 [] G5 (19-03-2020, 19:06:02)
2021-07-05_12:43:13:66631 00:00:00:000 INFO    - parseOpts(): The following ports will be used: Primary - 30001, Secondary - 30002, Matlab - 30003, RTDE - 30004, Primary_read_only - 30011, Secondary_read_only - 30012, Matlab_read_only - 30013.
2021-07-05_12:43:13:66636 00:00:00:000 INFO    - Loading calibration from '/home/ur/ursim/ursim-5.8.0.10253/.urcontrol/calibration.conf'
2021-07-05_12:43:13:66637 00:00:00:000 WARNING - loadCalibration: Error: Cannot open configuration file '/home/ur/ursim/ursim-5.8.0.10253/.urcontrol/calibration.conf'. The file is corrupt or missing.
2021-07-05_12:43:13:66638 00:00:00:000 INFO    - ConfigurationManager::loadConfiguration: Loading urcontrol.conf from: /home/ur/ursim/ursim-5.8.0.10253/.urcontrol/urcontrol.conf.

2021-07-05_12:43:13:66638 00:00:00:000 WARNING - readLastSeenJointPositions: Error: Cannot open configuration file '/home/ur/ursim/ursim-5.8.0.10253/.urcontrol/.last_seen_joint_positions.conf'. The file is corrupt or missing..

2021-07-05_12:43:13:66638 00:00:00:000 INFO    - Safety Version 5:5
2021-07-05_12:43:13:67508 00:00:00:000 WARNING - PThread::_start: SCHED_FIFO - Failed to set scheduling parameters for PThreadPool
2021-07-05_12:43:13:93393 00:00:00:000 INFO    - Safety Version 5:5
2021-07-05_12:43:13:93396 00:00:00:002 INFO    - Safety Version 5:5
2021-07-05_12:43:13:93397 00:00:00:004 INFO    - RTM: Target RobotMode changed from ROBOT_MODE_DISCONNECTED to ROBOT_MODE_POWER_OFF
2021-07-05_12:43:13:93397 00:00:00:004 INFO    - New safety mode: SAFETY_MODE_NORMAL
2021-07-05_12:43:13:93397 00:00:00:004 INFO    - Runtime state change: from PROGRAM_STATE_STOPPING to PROGRAM_STATE_STOPPED
Exception was caught in creating ModbusServer: ServerSocket: Socket::bind() failed.
You need root privileges to open a Modbus server at port 502
Perhaps use: "sudo setcap cap_net_bind_service+ep ./URControl"
2021-07-05_12:43:13:95150 00:00:00:014 ERROR   - Socket::bind failed. Error_code = 13, Error_message = Permission denied
2021-07-05_12:43:21:90884 00:00:05:508 INFO    - TCPServer: Accepted connection on CLIENTTYPE_MATLAB_CLIENT interface
2021-07-05_12:43:23:01669 00:00:06:466 INFO    - TCPServer: Accepted connection on CLIENTTYPE_PRIMARY_CLIENT interface
2021-07-05_12:43:23:22873 00:00:06:574 INFO    - TCPServer: Accepted connection on CLIENTTYPE_RTDE_CLIENT interface
2021-07-05_12:43:23:22877 00:00:06:574 INFO    - TCPServer: RTDE client connected
2021-07-05_12:43:23:25931 00:00:06:582 INFO    - RTDE: Client connected with protocol version: 2
2021-07-05_12:43:23:27735 00:00:06:588 INFO    - RTDE: Paused sending RT data
2021-07-05_12:43:23:30400 00:00:06:594 INFO    - RTDE: Started sending RT data
2021-07-05_12:43:23:51999 00:00:06:688 INFO    - CONFIRM_USER_SAFETY_PARAMETERS
2021-07-05_12:43:32:86393 00:00:14:592 INFO    - RTM: Target RobotMode changed from ROBOT_MODE_POWER_OFF to ROBOT_MODE_IDLE
2021-07-05_12:43:32:86397 00:00:14:596 INFO    - hasJointsSentData, Waiting on data to be received from the joints
2021-07-05_12:43:44:73454 00:00:22:258 INFO    - RTM: Target RobotMode changed from ROBOT_MODE_IDLE to ROBOT_MODE_RUNNING
2021-07-05_12:43:52:61016 00:00:27:748 INFO    - Starting program: P1
2021-07-05_12:43:52:62317 00:00:27:750 INFO    - Runtime state change: from PROGRAM_STATE_STOPPED to PROGRAM_STATE_RUNNING
2021-07-05_12:43:52:62321 00:00:27:752 INFO    - XMLRPCClient - connecting to: 127.0.0.1:40411
2021-07-05_12:43:52:62321 00:00:27:752 INFO    - XMLRPCClient - creating http transport
2021-07-05_12:43:52:63509 00:00:27:754 INFO    - Runtime state change: from PROGRAM_STATE_RUNNING to PROGRAM_STATE_STOPPING
2021-07-05_12:43:52:63513 00:00:27:756 INFO    - Runtime state change: from PROGRAM_STATE_STOPPING to PROGRAM_STATE_STOPPED
2021-07-05_12:43:52:63514 00:00:27:756 INFO    - XMLRPCClient::~XMLRPCClient

Tried adding command to get string from daemon python when starting the program and creating a popup with this line - this command worked, initialize all variables from installation Node, however, after that the command did not continue to be executed, but immediately turned off. That is, when the program starts, it tries to start, but literally after half a second it turns off. no errors occur in the robot interface

I have changed the thread title and reformatted your initial post to explain the issue a little better.

How are you sending this popup command to the controller? It’s quite difficult to see where the issue is if you’re sending everything directly to a client interface port. I’d recommend trying to execute your URScript code within polyscope (just as a debugging step before moving it back to the original method) so you can get a clearer picture of where the execution is stopping.

i call popup with these commands from installationNodeContribution

writer.appendLine("math = rpc_factory(\"xmlrpc\",\"http://127.0.0.1:40411\")");

writer.appendLine("popup(math.get_title(), title=\"Popup #1\",blocking=True)");

if you remove these commands, the problem is not solved, I also tried to remove the command to start the daemon, but it also did not give any result. What service in URCap can prevent the robot program from starting? it seems to me that I most likely made a mistake somewhere when building the URCap structure

Once the program is sent to the controller and started running, it shouldn’t really be affected by the URCap, unless it’s expecting a response from something like and XMLRPC server that doesn’t come. I think it’s more likely that there is a problem with the URScript program that you are sending to the controller that is preventing it from running successfully than something in the Java or Python daemon that’s preventing it from running.

What is the program supposed to do after displaying the popup? Perhaps you can post the .script file generated by polyscope when running the program, and some more details on your project to aid in troubleshooting.

The problem turned out to be an extra command end () in the generated script. many thanks to @ajp for helping to solve the issue and finding my mistake

You are very welcome! Please share the results of your creation with the community if you can :slight_smile: